Loading...
Searching...
No Matches
juce::Justification Class Reference

## Detailed Description

Represents a type of justification to be used when positioning graphical items.

e.g. it indicates whether something should be placed top-left, top-right, centred, etc.

It is used in various places wherever this kind of information is needed.

The documentation for this class was generated from the following file:

- juce_graphics/placement/juce_Justification.h

## Public Types

enum | Flags { left = 1 , right = 2 , horizontallyCentred = 4 , top = 8 , bottom = 16 , verticallyCentred = 32 , horizontallyJustified = 64 , centred = 36 , centredLeft = 33 , centredRight = 34 , centredTop = 12 , centredBottom = 20 , topLeft = 9 , topRight = 10 , bottomLeft = 17 , bottomRight = 18 }
| Flag values that can be combined and used in the constructor. More...

## Public Member Functions

| Justification (int justificationFlags) noexcept
| Creates a Justification object using a combination of flags from the Flags enum.
| Justification (const Justification &)=default
| Creates a copy of another Justification object.
Justification & | operator= (const Justification &)=default
| Copies another Justification object.
bool | operator== (const Justification &other) const noexcept
bool | operator!= (const Justification &other) const noexcept
int | getFlags () const noexcept
| Returns the raw flags that are set for this Justification object.
bool | testFlags (int flagsToTest) const noexcept
| Tests a set of flags for this object.
int | getOnlyVerticalFlags () const noexcept
| Returns just the flags from this object that deal with vertical layout.
int | getOnlyHorizontalFlags () const noexcept
| Returns just the flags from this object that deal with horizontal layout.
template<typename ValueType>
void | applyToRectangle (ValueType &x, ValueType &y, ValueType w, ValueType h, ValueType spaceX, ValueType spaceY, ValueType spaceW, ValueType spaceH) const noexcept
| Adjusts the position of a rectangle to fit it into a space.
template<typename ValueType>
const Rectangle< ValueType > | appliedToRectangle (const Rectangle< ValueType > &areaToAdjust, const Rectangle< ValueType > &targetSpace) const noexcept
| Returns the new position of a rectangle that has been justified to fit within a given space.

## Member Enums

## Flags

enum juce::Justification::Flags

Flag values that can be combined and used in the constructor.

Enumerator
left | Indicates that the item should be aligned against the left edge of the available space.
right | Indicates that the item should be aligned against the right edge of the available space.
horizontallyCentred | Indicates that the item should be placed in the centre between the left and right sides of the available space.
top | Indicates that the item should be aligned against the top edge of the available space.
bottom | Indicates that the item should be aligned against the bottom edge of the available space.
verticallyCentred | Indicates that the item should be placed in the centre between the top and bottom sides of the available space.
horizontallyJustified | Indicates that lines of text should be spread out to fill the maximum width available, so that both margins are aligned vertically.
centred | Indicates that the item should be centred vertically and horizontally. This is equivalent to (horizontallyCentred | verticallyCentred)
centredLeft | Indicates that the item should be centred vertically but placed on the left hand side. This is equivalent to (left | verticallyCentred)
centredRight | Indicates that the item should be centred vertically but placed on the right hand side. This is equivalent to (right | verticallyCentred)
centredTop | Indicates that the item should be centred horizontally and placed at the top. This is equivalent to (horizontallyCentred | top)
centredBottom | Indicates that the item should be centred horizontally and placed at the bottom. This is equivalent to (horizontallyCentred | bottom)
topLeft | Indicates that the item should be placed in the top-left corner. This is equivalent to (left | top)
topRight | Indicates that the item should be placed in the top-right corner. This is equivalent to (right | top)
bottomLeft | Indicates that the item should be placed in the bottom-left corner. This is equivalent to (left | bottom)
bottomRight | Indicates that the item should be placed in the bottom-left corner. This is equivalent to (right | bottom)

## Constructors and Destructors

## Justification() [1/2]

juce::Justification::Justification | ( | int | justificationFlags | ) |

inline noexcept

Creates a Justification object using a combination of flags from the Flags enum.

Referenced by Justification(), operator!=(), operator=(), and operator==().

## Justification() [2/2]

juce::Justification::Justification | ( | const Justification & |  | ) |

default

Creates a copy of another Justification object.

References Justification().

## Member Functions

## operator=()

Justification & juce::Justification::operator= | ( | const Justification & |  | ) |

default

Copies another Justification object.

References Justification().

## operator==()

bool juce::Justification::operator== | ( | const Justification & | other | ) | const

inline noexcept

References Justification().

## operator!=()

bool juce::Justification::operator!= | ( | const Justification & | other | ) | const

inline noexcept

References Justification().

## getFlags()

int juce::Justification::getFlags | ( |  | ) | const

inline noexcept

Returns the raw flags that are set for this Justification object.

## testFlags()

bool juce::Justification::testFlags | ( | int | flagsToTest | ) | const

inline noexcept

Tests a set of flags for this object.

Returns
  true if any of the flags passed in are set on this object.

## getOnlyVerticalFlags()

int juce::Justification::getOnlyVerticalFlags | ( |  | ) | const

inline noexcept

Returns just the flags from this object that deal with vertical layout.

References bottom, top, and verticallyCentred.

## getOnlyHorizontalFlags()

int juce::Justification::getOnlyHorizontalFlags | ( |  | ) | const

inline noexcept

Returns just the flags from this object that deal with horizontal layout.

References horizontallyCentred, horizontallyJustified, left, and right.

## applyToRectangle()

template<typename ValueType>

void juce::Justification::applyToRectangle | ( | ValueType & | x,
|  | ValueType & | y,
|  | ValueType | w,
|  | ValueType | h,
|  | ValueType | spaceX,
|  | ValueType | spaceY,
|  | ValueType | spaceW,
|  | ValueType | spaceH ) const

inline noexcept

Adjusts the position of a rectangle to fit it into a space.

The (x, y) position of the rectangle will be updated to position it inside the given space according to the justification flags.

References bottom, h, horizontallyCentred, right, verticallyCentred, w, x, and y.

Referenced by appliedToRectangle().

## appliedToRectangle()

template<typename ValueType>

const Rectangle< ValueType > juce::Justification::appliedToRectangle | ( | const Rectangle< ValueType > & | areaToAdjust,
|  | const Rectangle< ValueType > & | targetSpace ) const

inline noexcept

Returns the new position of a rectangle that has been justified to fit within a given space.

References applyToRectangle(), x, and y.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited